package com.realnet.basicp1.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.basicp1.Entity.Test;
import com.realnet.basicp1.Services.TestService ;




@RequestMapping(value = "/token/Test")
 @CrossOrigin("*") 
@RestController
public class tokenFree_TestController {
	@Autowired
	private TestService Service;

@Value("${projectPath}")
	private String projectPath;
 




	@PostMapping("/Test")
		  public Test Savedata(@RequestBody Test data) {
		Test save = Service.Savedata(data)	;



		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Test/{id}")
	public  Test update(@RequestBody Test data,@PathVariable Integer id ) {
		Test update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Test/getall/page")
	public Page<Test> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Test> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Test")
	public List<Test> getdetails() {
		 List<Test> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Test")
	public List<Test> getallwioutsec() {
		 List<Test> get = Service.getdetails();		
		return get;
}
@GetMapping("/Test/{id}")
	public  Test  getdetailsbyId(@PathVariable Integer id ) {
		Test  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Test/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}





}